Name:           gnome-sound-recorder
Version:        3.14.2
Release:        1%{?dist}
Summary:        Make simple recordings from your desktop

Group:          Applications/Multimedia
License:        GPLv2+
URL:            https://wiki.gnome.org/Design/Apps/SoundRecorder
Source0:        https://download.gnome.org/sources/%{name}/3.14/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  /usr/bin/gjs
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
# Version requirement is for the first release with package.js.
Requires:       gjs >= 1.41.4
Requires:       gstreamer1
Requires:       gstreamer1-plugins-base

# Installs /usr/bin/gnome-sound-recorder, as well as a GStreamer properties
# tool, so a Provides is not appropriate. Retired in F21.
Obsoletes:      gnome-media < 3.4.0-7
Obsoletes:      gnome-media-apps < 3.4.0-7

%description
Make simple recordings from your desktop.

%prep
%setup -q


%build
%configure
make V=1 %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} INSTALL="install -p" install
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.SoundRecorder.desktop
%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
touch --no-create %{_datadir}/icons/HighContrast &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    touch --no-create %{_datadir}/icons/HighContrast &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING README NEWS
%{_bindir}/%{name}
%{_datadir}/appdata/org.gnome.SoundRecorder.appdata.xml
%{_datadir}/applications/org.gnome.SoundRecorder.desktop
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/HighContrast/*/apps/%{name}.png


%changelog
* Sun Nov 09 2014 David King <amigadave@amigadave.com> - 3.14.2-1
- Update to 3.14.2

* Mon Sep 15 2014 David King <amigadave@amigadave.com> - 3.14.0.1-1
- Update to 3.14.01

* Mon Sep 15 2014 David King <amigadave@amigadave.com> - 3.14-1
- Update to 3.14

* Tue Sep 02 2014 David King <amigadave@amigadave.com> - 3.13.91-1
- Update to 3.13.91

* Tue Jul 22 2014 David King <amigadave@amigadave.com> - 3.13.4-1
- Update to 3.13.4
- Switch to noarch

* Wed Jul 16 2014 David King <amigadave@amigadave.com> - 3.12.2-3
- Add Audio to desktop file categories

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 13 2014 David King <amigadave@amigadave.com> - 3.12.2-1
- Update to 3.12.2

* Mon Apr 14 2014 David King <amigadave@amigadave.com> - 3.12.1-1
- Update to 3.12.1

* Wed Mar 26 2014 David King <amigadave@amigadave.com> - 3.12.0-1
- Initial import (#1077810)
